package org.apache.poi.hslf.model;

import java.awt.geom.Rectangle2D;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;

import junit.framework.TestCase;

import org.apache.poi.hpsf.ClassID;
import org.apache.poi.hslf.HSLFSlideShow;
import org.apache.poi.hslf.usermodel.SlideShow;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;

public class TestACDraw extends TestCase {
    public void testEmbedBla() throws Exception {
        File molFile = new File("chalcogran.mol");
        File contentsFile = new File("chalcogran.contents");
        File emfFile = new File("chalcogran.emf");
        int width = 500;
        int height = 500;

        String cmds[] = {
            "E:\\project\\poi\\poi\\ADEmbed.exe"
            , molFile.getAbsolutePath()
            , contentsFile.getAbsolutePath()
            , emfFile.getAbsolutePath()
            , ""+width
            , ""+height
        };
        
        Process child = Runtime.getRuntime().exec(cmds);
        child.waitFor();
        
        POIFSFileSystem poifs = new POIFSFileSystem();
        FileInputStream fis = new FileInputStream(contentsFile);
        poifs.getRoot().createDocument("Contents", fis);
        poifs.getRoot().setStorageClsid(new ClassID("{0004AFF7-0000-0000-C000-000000000046}"));
        fis.close();
        
        HSLFSlideShow hslf = HSLFSlideShow.create();
        SlideShow ss = new SlideShow(hslf);
        Slide sld = ss.createSlide();

        int oleId = ss.addEmbed(poifs);
        int jpgId = ss.addPicture(emfFile, Picture.EMF);
        
        OLEShape oleShape1 = new OLEShape(jpgId);
        oleShape1.setObjectID(oleId);
        sld.addShape(oleShape1);
        oleShape1.setAnchor(new Rectangle2D.Double(100,100,width,height));
        
        FileOutputStream fos = new FileOutputStream("test.ppt");
        ss.write(fos);
        fos.close();
    }
}
